from enum import StrEnum

class TaskInputParamType(StrEnum):
    """任务输入参数类型枚举"""
    SIMPLE = "Simple"  # 简单值
    EXPRESSION = "Expression"  # 表达式
    JSON = "JSON"  # JSON

class TaskInputParamVariables(StrEnum):
    """任务输入参数变量枚举"""
    VWED_ = "vwed_"  # 
    BLOCKS = "blocks"  # 块
    TASK_INPUTS = "taskInputs"  # 任务输入
    STRING_UTILS = "StringUtils"  # 字符串工具类
    STRING = '""'


